/*
  Zneplatneni uceniho obdobi po aktualizaci ci pridani obratu.

  Autor: Pavel Cvrcek
*/
create or replace function uObratyInsertUpdate() returns trigger as $$
begin
  update nUcetObdobi set zmenaZaver = true where idUcetObdobi = NEW.idUcetObdobi;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists uObratyInsertUpdate on uobraty;

create trigger uObratyInsertUpdate before insert or update on uobraty 
for each row execute procedure uObratyInsertUpdate();