/* Drop constraint if exists */
CREATE OR REPLACE FUNCTION drop_constraint_if_exists(table_name character varying, constraint_name character varying)
  RETURNS void AS
$BODY$  
declare  
  _pocetConstraintu integer;
  _exception character varying;
begin
 select count(*) into _pocetConstraintu from pg_constraint where conname = constraint_name;
 if(_pocetConstraintu > 0) then
   execute 'Alter table '||table_name||' drop constraint '||constraint_name||';';
 end if;
end;  
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
