/*
  Vraci true pokud je mena na skladovem dokladu cizi
  Autor: Karel Bel
*/
CREATE OR REPLACE FUNCTION isdoklskladmenacizi(i_dokladid integer, i_datvyst date)
  RETURNS boolean AS
$BODY$ 
declare 
  idMenyTuzemsko integer;
  idMenyDoklad integer;
begin 
  /* Vybrani tuzemske meny a meny z dokladu */
  select idMeny into idMenyTuzemsko from nNastav where i_DatVyst >= PlatiOdData order by PlatiOdData desc limit 1;
  if (idMenyTuzemsko is null) then
    select idMeny into idMenyTuzemsko from nNastav where PlatiOdData is null limit 1; 
  end if;
  select idMeny into idMenyDoklad from dDoklSklad where idDoklSklad = i_DokladId;

  /* Pokud je mena na dokladu null nebo stejna jako tuzemska tak vracim false*/
  if(idMenyDoklad is null or idMenyDoklad = idMenyTuzemsko) then
    return false;
  end if; 
  return true; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;