-- Bug 13901 – [WinStrom] Predelat logo a podpis s razitkem z blobu na bytearray
alter table nlogo add column image2 bytea;

create or replace function castBlob2Bytea() returns void as $BODY$
declare
  idLogoImg integer;
  partImage bytea;
  logoImage bytea;
BEGIN
  FOR idLogoImg IN select idlogo from nlogo
  LOOP
	logoImage = '';
	FOR partImage IN select data from pg_largeobject where loid =
		(select image from nlogo pomL where pomL.idLogo = idLogoImg)
	LOOP
		logoImage = logoImage || partImage;
	END LOOP;
	update nlogo set image2 = logoImage where idlogo = idLogoImg;
  END LOOP;
  
END;
$BODY$
LANGUAGE 'plpgsql' VOLATILE;

select castBlob2Bytea();

alter table nlogo drop column image;
alter table nlogo rename column image2 to image;

drop function castBlob2Bytea();

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 103, 't');
