-- Sequence: seq_aadresar

-- DROP SEQUENCE seq_aadresar;

CREATE SEQUENCE seq_wextid
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE seq_wextid OWNER TO %firmaRole%;

CREATE TABLE wExtId
(
  idExtId integer NOT NULL DEFAULT nextval('seq_wextid'::regclass),
  lastupdate timestamp without time zone NOT NULL DEFAULT '2008-01-01 00:00:00'::timestamp without time zone,
  extId character varying(63) NOT NULL,
  tabulka character varying(63) NOT NULL,
  idcenik integer,
  idadresar integer,
  iddoklobch integer,
  iddoklfak integer,
  CONSTRAINT wextid_pkey PRIMARY KEY (idExtId),
  CONSTRAINT wextid_idcenik FOREIGN KEY (idcenik)
      REFERENCES ccenik(idcenik) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade,
  CONSTRAINT wextid_idadresar FOREIGN KEY (idadresar)
      REFERENCES aadresar(idfirmy) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade,
  CONSTRAINT wextid_iddoklobch FOREIGN KEY (iddoklobch)
      REFERENCES ddoklobch(iddoklobch) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade,
  CONSTRAINT wextid_iddoklfak FOREIGN KEY (iddoklfak)
      REFERENCES ddoklfak(iddoklfak) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade
);
ALTER table wextid owner to %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 117, 't');
