-------------------------------------------------------
-- Bug 15818 – [WinStrom] Záložka "Ceny pro odběratele/speciální kód"
-------------------------------------------------------

-- Přidání vazby na skupinu firem
ALTER TABLE codberatele
  ADD COLUMN idskupfir integer,
  ADD CONSTRAINT codberatele_idskupfir FOREIGN KEY (idskupfir)
        REFERENCES askupfir (idskupfir)
        ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX codberatele_idskupfir_index ON codberatele USING btree (idskupfir);


-- Zrušení povinnosti vazby na firmu
ALTER TABLE codberatele
  ALTER COLUMN idfirmy DROP NOT NULL;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 165, 't');
