--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy, pro vsechny ostatni ji smazeme
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- aktualizace slozek
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nemoc' WHERE IdCisMzdSloz = 3;
UPDATE pcismzdsloz SET skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 4;
UPDATE pcismzdsloz SET skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 5;
UPDATE pcismzdsloz SET skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 7;
UPDATE pcismzdsloz SET cisrad = 2070 WHERE IdCisMzdSloz = 13;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nepritCelk' WHERE IdCisMzdSloz = 16;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.svatekNahrada' WHERE IdCisMzdSloz = 21;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.prescas' WHERE IdCisMzdSloz = 22;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 23;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 24;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.premieProc' WHERE IdCisMzdSloz = 25;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 26;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.premieProcUkaz' WHERE IdCisMzdSloz = 27;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.podilNaZisku' WHERE IdCisMzdSloz = 28;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 29;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 30;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 31;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 32;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.odmeny' WHERE IdCisMzdSloz = 33;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nocniPripl' WHERE IdCisMzdSloz = 36;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 37;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 40;
UPDATE pcismzdsloz SET kod = 'OSOBNÍ HODN./ PŘÍPL.', nazev = 'Osobní hodnocení - příplatek (je počítán poměrně podobně jako měsíční mzda)', vshodiny = true, vscastnahod = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 41;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 42;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nepenezPrijmy' WHERE IdCisMzdSloz = 54;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nepenezPrijmy' WHERE IdCisMzdSloz = 56;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.prescasy' WHERE IdCisMzdSloz = 57;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.svatek' WHERE IdCisMzdSloz = 58;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.weekend' WHERE IdCisMzdSloz = 59;
UPDATE pcismzdsloz SET vyznamk = null WHERE IdCisMzdSloz = 94;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 119;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 120;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 121;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 122;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 123;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 124;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 125;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup' WHERE IdCisMzdSloz = 126;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 127;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 128;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 129;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 130;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 131;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 132;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 133;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 134;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 135;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.dobirka' WHERE IdCisMzdSloz = 139;
UPDATE pcismzdsloz SET kod = 'MATEŘSKÁ DOVOLENÁ', nazev = 'Mateřská dovolená (vstupuje do vyloučených dob v ELDP)', popis = '', cisrad = 2050, typslozkyk = 'typSlozky.vstup', skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 150;
UPDATE pcismzdsloz SET kod = 'RODIČOVSKÁ DOVOLENÁ', nazev = 'Rodičovská dovolená  (nevstupuje do vyloučených dob v ELDP) ', cisrad = 2060, typslozkyk = 'typSlozky.vstup', skupslozkyk = 'skupinaSlozky.nepritNeplac', vsdnykal = true, vsdnyprac = true WHERE IdCisMzdSloz = 151;
UPDATE pcismzdsloz SET cisrad = 2110, typslozkyk = 'typSlozky.vstup', skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 152;
UPDATE pcismzdsloz SET cisrad = 2120, typslozkyk = 'typSlozky.vstup', skupslozkyk = 'skupinaSlozky.nepritNeplac' WHERE IdCisMzdSloz = 153;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.socPojZakl' WHERE IdCisMzdSloz = 162;
UPDATE pcismzdsloz SET cisrad = 2080 WHERE IdCisMzdSloz = 171;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.pracPracPrum' WHERE IdCisMzdSloz = 172;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 180;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.dovolVybrano' WHERE IdCisMzdSloz = 185;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.dovolZbyva' WHERE IdCisMzdSloz = 186;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.slevaDeti' WHERE IdCisMzdSloz = 189;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.prescasPripl' WHERE IdCisMzdSloz = 216;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup' WHERE IdCisMzdSloz = 237;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 250;

-- u nove overime ze tam jiz neni kvuli firmam kde testovali
SELECT count(*) INTO pocet FROM pcismzdsloz where idcismzdsloz = 254;
if pocet = 0 then
INSERT INTO pcismzdsloz (idcismzdsloz, lastUpdate, kod, nazev, show, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni)
 VALUES (254, '2010-01-28 00:00:00.000', 'PŘEPLATEK DANĚ', 'Přeplatek daně z ročního zúčtování', true, 'typSlozky.vstup', 'skupinaSlozky.dan', false, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false);
end if;

PERFORM pg_catalog.setval('seq_pcismzdsloz', 254, true);

-- kalkulacka
-- radky
-- nasledujici radka vymaze ty radky ktere se pak budou vkladat kdyby tam nahodou byli
DELETE FROM pmzdcalc WHERE idmzdcalc in (522, 523, 524, 525, 526, 527, 528, 529, 530, 531, 532, 533, 534, 535, 536);

DELETE FROM pmzdcalc WHERE IdMzdCalc = 10;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 21;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 23;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 25;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 26;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 28;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 39;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 50;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 60;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 313;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 312;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 483;
UPDATE pmzdcalc SET cisrad = 30 WHERE IdMzdCalc = 1;
UPDATE pmzdcalc SET cisrad = 33 WHERE IdMzdCalc = 4;
UPDATE pmzdcalc SET cisrad = 31 WHERE IdMzdCalc = 5;
UPDATE pmzdcalc SET cisrad = 32 WHERE IdMzdCalc = 6;
UPDATE pmzdcalc SET cisrad = 39 WHERE IdMzdCalc = 7;
UPDATE pmzdcalc SET cisrad = 38 WHERE IdMzdCalc = 8;
UPDATE pmzdcalc SET cisrad = 40 WHERE IdMzdCalc = 9;
UPDATE pmzdcalc SET cisrad = 42 WHERE IdMzdCalc = 11;
UPDATE pmzdcalc SET cisrad = 47 WHERE IdMzdCalc = 24;
UPDATE pmzdcalc SET cisrad = 92 WHERE IdMzdCalc = 29;
UPDATE pmzdcalc SET cisrad = 55 WHERE IdMzdCalc = 34;
UPDATE pmzdcalc SET cisrad = 56 WHERE IdMzdCalc = 35;
UPDATE pmzdcalc SET cisrad = 57 WHERE IdMzdCalc = 37;
UPDATE pmzdcalc SET cisrad = 58 WHERE IdMzdCalc = 38;
UPDATE pmzdcalc SET cisrad = 88 WHERE IdMzdCalc = 42;
UPDATE pmzdcalc SET cisrad = 90 WHERE IdMzdCalc = 45;
UPDATE pmzdcalc SET cisrad = 91 WHERE IdMzdCalc = 47;
UPDATE pmzdcalc SET cisrad = 89 WHERE IdMzdCalc = 49;
UPDATE pmzdcalc SET cisrad = 104 WHERE IdMzdCalc = 61;
UPDATE pmzdcalc SET cisrad = 105 WHERE IdMzdCalc = 62;
UPDATE pmzdcalc SET cisrad = 106 WHERE IdMzdCalc = 63;
UPDATE pmzdcalc SET cisrad = 120 WHERE IdMzdCalc = 64;
UPDATE pmzdcalc SET cisrad = 145 WHERE IdMzdCalc = 68;
UPDATE pmzdcalc SET cisrad = 146 WHERE IdMzdCalc = 69;
UPDATE pmzdcalc SET cisrad = 160 WHERE IdMzdCalc = 70;
UPDATE pmzdcalc SET cisrad = 135 WHERE IdMzdCalc = 75;
UPDATE pmzdcalc SET cisrad = 148 WHERE IdMzdCalc = 76;
UPDATE pmzdcalc SET cisrad = 161 WHERE IdMzdCalc = 78;
UPDATE pmzdcalc SET cisrad = 189 WHERE IdMzdCalc = 79;
UPDATE pmzdcalc SET cisrad = 175 WHERE IdMzdCalc = 80;
UPDATE pmzdcalc SET cisrad = 176 WHERE IdMzdCalc = 81;
UPDATE pmzdcalc SET cisrad = 177 WHERE IdMzdCalc = 82;
UPDATE pmzdcalc SET cisrad = 178 WHERE IdMzdCalc = 83;
UPDATE pmzdcalc SET cisrad = 179 WHERE IdMzdCalc = 86;
UPDATE pmzdcalc SET cisrad = 184 WHERE IdMzdCalc = 89;
UPDATE pmzdcalc SET cisrad = 183 WHERE IdMzdCalc = 92;
UPDATE pmzdcalc SET cisrad = 185 WHERE IdMzdCalc = 93;
UPDATE pmzdcalc SET cisrad = 191 WHERE IdMzdCalc = 94;
UPDATE pmzdcalc SET cisrad = 210 WHERE IdMzdCalc = 95;
UPDATE pmzdcalc SET cisrad = 212 WHERE IdMzdCalc = 96;
UPDATE pmzdcalc SET cisrad = 216 WHERE IdMzdCalc = 97;
UPDATE pmzdcalc SET cisrad = 217 WHERE IdMzdCalc = 98;
UPDATE pmzdcalc SET cisrad = 257 WHERE IdMzdCalc = 99;
UPDATE pmzdcalc SET cisrad = 227 WHERE IdMzdCalc = 100;
UPDATE pmzdcalc SET cisrad = 256 WHERE IdMzdCalc = 101;
UPDATE pmzdcalc SET cisrad = 228 WHERE IdMzdCalc = 103;
UPDATE pmzdcalc SET cisrad = 234 WHERE IdMzdCalc = 104;
UPDATE pmzdcalc SET cisrad = 235 WHERE IdMzdCalc = 106;
UPDATE pmzdcalc SET cisrad = 236 WHERE IdMzdCalc = 107;
UPDATE pmzdcalc SET cisrad = 237 WHERE IdMzdCalc = 108;
UPDATE pmzdcalc SET cisrad = 238 WHERE IdMzdCalc = 109;
UPDATE pmzdcalc SET cisrad = 239 WHERE IdMzdCalc = 110;
UPDATE pmzdcalc SET cisrad = 245 WHERE IdMzdCalc = 111;
UPDATE pmzdcalc SET cisrad = 263 WHERE IdMzdCalc = 112;
UPDATE pmzdcalc SET cisrad = 264 WHERE IdMzdCalc = 113;
UPDATE pmzdcalc SET cisrad = 261 WHERE IdMzdCalc = 114;
UPDATE pmzdcalc SET cisrad = 134 WHERE IdMzdCalc = 115;
UPDATE pmzdcalc SET cisrad = 133 WHERE IdMzdCalc = 116;
UPDATE pmzdcalc SET cisrad = 265 WHERE IdMzdCalc = 117;
UPDATE pmzdcalc SET cisrad = 168 WHERE IdMzdCalc = 119;
UPDATE pmzdcalc SET cisrad = 188 WHERE IdMzdCalc = 120;
UPDATE pmzdcalc SET cisrad = 162 WHERE IdMzdCalc = 121;
UPDATE pmzdcalc SET cisrad = 190 WHERE IdMzdCalc = 122;
UPDATE pmzdcalc SET cisrad = 231 WHERE IdMzdCalc = 123;
UPDATE pmzdcalc SET cisrad = 218 WHERE IdMzdCalc = 124;
UPDATE pmzdcalc SET cisrad = 244 WHERE IdMzdCalc = 125;
UPDATE pmzdcalc SET cisrad = 229 WHERE IdMzdCalc = 130;
UPDATE pmzdcalc SET cisrad = 232 WHERE IdMzdCalc = 131;
UPDATE pmzdcalc SET cisrad = 147 WHERE IdMzdCalc = 133;
UPDATE pmzdcalc SET cisrad = 180 WHERE IdMzdCalc = 134;
UPDATE pmzdcalc SET cisrad = 181 WHERE IdMzdCalc = 135;
UPDATE pmzdcalc SET cisrad = 241 WHERE IdMzdCalc = 136;
UPDATE pmzdcalc SET cisrad = 259 WHERE IdMzdCalc = 139;
UPDATE pmzdcalc SET cisrad = 260 WHERE IdMzdCalc = 140;
UPDATE pmzdcalc SET cisrad = 258 WHERE IdMzdCalc = 145;
UPDATE pmzdcalc SET cisrad = 262 WHERE IdMzdCalc = 146;
UPDATE pmzdcalc SET cisrad = 267 WHERE IdMzdCalc = 147;
UPDATE pmzdcalc SET cisrad = 270 WHERE IdMzdCalc = 172;
UPDATE pmzdcalc SET cisrad = 271 WHERE IdMzdCalc = 173;
UPDATE pmzdcalc SET cisrad = 272 WHERE IdMzdCalc = 174;
UPDATE pmzdcalc SET cisrad = 273 WHERE IdMzdCalc = 175;
UPDATE pmzdcalc SET cisrad = 268 WHERE IdMzdCalc = 193;
UPDATE pmzdcalc SET cisrad = 269 WHERE IdMzdCalc = 194;
UPDATE pmzdcalc SET cisrad = 279 WHERE IdMzdCalc = 195;
UPDATE pmzdcalc SET cisrad = 288 WHERE IdMzdCalc = 196;
UPDATE pmzdcalc SET cisrad = 274 WHERE IdMzdCalc = 197;
UPDATE pmzdcalc SET cisrad = 280 WHERE IdMzdCalc = 198;
UPDATE pmzdcalc SET cisrad = 290 WHERE IdMzdCalc = 200;
UPDATE pmzdcalc SET cisrad = 282 WHERE IdMzdCalc = 201;
UPDATE pmzdcalc SET cisrad = 281 WHERE IdMzdCalc = 202;
UPDATE pmzdcalc SET cisrad = 289 WHERE IdMzdCalc = 206;
UPDATE pmzdcalc SET cisrad = 291 WHERE IdMzdCalc = 207;
UPDATE pmzdcalc SET nazev = 'Fond pracovní doby', cisrad = 19, idmzdslozin = 1 WHERE IdMzdCalc = 208;
UPDATE pmzdcalc SET cisrad = 23 WHERE IdMzdCalc = 209;
UPDATE pmzdcalc SET cisrad = 34 WHERE IdMzdCalc = 211;
UPDATE pmzdcalc SET cisrad = 293 WHERE IdMzdCalc = 213;
UPDATE pmzdcalc SET cisrad = 294 WHERE IdMzdCalc = 214;
UPDATE pmzdcalc SET cisrad = 295 WHERE IdMzdCalc = 215;
UPDATE pmzdcalc SET cisrad = 27 WHERE IdMzdCalc = 216;
UPDATE pmzdcalc SET cisrad = 26 WHERE IdMzdCalc = 217;
UPDATE pmzdcalc SET cisrad = 116 WHERE IdMzdCalc = 225;
UPDATE pmzdcalc SET cisrad = 24 WHERE IdMzdCalc = 226;
UPDATE pmzdcalc SET cisrad = 247 WHERE IdMzdCalc = 227;
UPDATE pmzdcalc SET cisrad = 25 WHERE IdMzdCalc = 234;
UPDATE pmzdcalc SET cisrad = 29 WHERE IdMzdCalc = 236;
UPDATE pmzdcalc SET cisrad = 249 WHERE IdMzdCalc = 238;
UPDATE pmzdcalc SET cisrad = 246 WHERE IdMzdCalc = 239;
UPDATE pmzdcalc SET cisrad = 250 WHERE IdMzdCalc = 240;
UPDATE pmzdcalc SET cisrad = 252 WHERE IdMzdCalc = 241;
UPDATE pmzdcalc SET cisrad = 253 WHERE IdMzdCalc = 245;
UPDATE pmzdcalc SET cisrad = 254 WHERE IdMzdCalc = 247;
UPDATE pmzdcalc SET cisrad = 255 WHERE IdMzdCalc = 249;
UPDATE pmzdcalc SET cisrad = 171 WHERE IdMzdCalc = 250;
UPDATE pmzdcalc SET cisrad = 170 WHERE IdMzdCalc = 251;
UPDATE pmzdcalc SET cisrad = 172 WHERE IdMzdCalc = 252;
UPDATE pmzdcalc SET cisrad = 173 WHERE IdMzdCalc = 253;
UPDATE pmzdcalc SET cisrad = 174 WHERE IdMzdCalc = 254;
UPDATE pmzdcalc SET cisrad = 192 WHERE IdMzdCalc = 258;
UPDATE pmzdcalc SET cisrad = 193 WHERE IdMzdCalc = 259;
UPDATE pmzdcalc SET cisrad = 194 WHERE IdMzdCalc = 260;
UPDATE pmzdcalc SET cisrad = 195 WHERE IdMzdCalc = 261;
UPDATE pmzdcalc SET cisrad = 197 WHERE IdMzdCalc = 262;
UPDATE pmzdcalc SET cisrad = 350 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET cisrad = 352, koeficient2 = 1.0 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET cisrad = 163 WHERE IdMzdCalc = 320;
UPDATE pmzdcalc SET cisrad = 166 WHERE IdMzdCalc = 321;
UPDATE pmzdcalc SET cisrad = 167 WHERE IdMzdCalc = 322;
UPDATE pmzdcalc SET cisrad = 164 WHERE IdMzdCalc = 323;
UPDATE pmzdcalc SET cisrad = 165 WHERE IdMzdCalc = 324;
UPDATE pmzdcalc SET cisrad = 182 WHERE IdMzdCalc = 325;
UPDATE pmzdcalc SET cisrad = 186 WHERE IdMzdCalc = 326;
UPDATE pmzdcalc SET cisrad = 187 WHERE IdMzdCalc = 327;
UPDATE pmzdcalc SET cisrad = 28 WHERE IdMzdCalc = 332;
UPDATE pmzdcalc SET cisrad = 292 WHERE IdMzdCalc = 333;
UPDATE pmzdcalc SET cisrad = 36 WHERE IdMzdCalc = 336;
UPDATE pmzdcalc SET cisrad = 37 WHERE IdMzdCalc = 339;
UPDATE pmzdcalc SET cisrad = 136 WHERE IdMzdCalc = 342;
UPDATE pmzdcalc SET cisrad = 137 WHERE IdMzdCalc = 343;
UPDATE pmzdcalc SET cisrad = 138 WHERE IdMzdCalc = 345;
UPDATE pmzdcalc SET cisrad = 139 WHERE IdMzdCalc = 346;
UPDATE pmzdcalc SET cisrad = 140 WHERE IdMzdCalc = 347;
UPDATE pmzdcalc SET cisrad = 141 WHERE IdMzdCalc = 348;
UPDATE pmzdcalc SET cisrad = 142 WHERE IdMzdCalc = 349;
UPDATE pmzdcalc SET cisrad = 143 WHERE IdMzdCalc = 350;
UPDATE pmzdcalc SET cisrad = 144 WHERE IdMzdCalc = 351;
UPDATE pmzdcalc SET cisrad = 233 WHERE IdMzdCalc = 353;
UPDATE pmzdcalc SET cisrad = 251 WHERE IdMzdCalc = 356;
UPDATE pmzdcalc SET cisrad = 349 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET cisrad = 351 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET cisrad = 219 WHERE IdMzdCalc = 361;
UPDATE pmzdcalc SET cisrad = 220 WHERE IdMzdCalc = 362;
UPDATE pmzdcalc SET cisrad = 221 WHERE IdMzdCalc = 363;
UPDATE pmzdcalc SET cisrad = 222 WHERE IdMzdCalc = 364;
UPDATE pmzdcalc SET cisrad = 224 WHERE IdMzdCalc = 365;
UPDATE pmzdcalc SET cisrad = 225 WHERE IdMzdCalc = 367;
UPDATE pmzdcalc SET cisrad = 226 WHERE IdMzdCalc = 368;
UPDATE pmzdcalc SET cisrad = 242 WHERE IdMzdCalc = 369;
UPDATE pmzdcalc SET cisrad = 243 WHERE IdMzdCalc = 370;
UPDATE pmzdcalc SET cisrad = 275 WHERE IdMzdCalc = 379;
UPDATE pmzdcalc SET cisrad = 276 WHERE IdMzdCalc = 380;
UPDATE pmzdcalc SET cisrad = 277 WHERE IdMzdCalc = 381;
UPDATE pmzdcalc SET cisrad = 278 WHERE IdMzdCalc = 382;
UPDATE pmzdcalc SET cisrad = 283 WHERE IdMzdCalc = 383;
UPDATE pmzdcalc SET cisrad = 284 WHERE IdMzdCalc = 384;
UPDATE pmzdcalc SET cisrad = 285 WHERE IdMzdCalc = 385;
UPDATE pmzdcalc SET cisrad = 287 WHERE IdMzdCalc = 386;
UPDATE pmzdcalc SET cisrad = 286 WHERE IdMzdCalc = 387;
UPDATE pmzdcalc SET cisrad = 198 WHERE IdMzdCalc = 389;
UPDATE pmzdcalc SET kod = 'ZDR.POJ.NEPL.VOLNO', cisrad = 207, koeficient = 0.135, koeficient2 = 0.0, zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky', poleout = 'castMzd', idmzdslozout = 106 WHERE IdMzdCalc = 390;
UPDATE pmzdcalc SET kod = 'ZDR.NEOML.ABSENCE', cisrad = 208, koeficient = 0.135, koeficient2 = 0.0, zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky', poleout = 'castMzd', idmzdslozout = 105 WHERE IdMzdCalc = 391;
UPDATE pmzdcalc SET cisrad = 209 WHERE IdMzdCalc = 392;
UPDATE pmzdcalc SET cisrad = 199 WHERE IdMzdCalc = 393;
UPDATE pmzdcalc SET cisrad = 201 WHERE IdMzdCalc = 394;
UPDATE pmzdcalc SET cisrad = 204 WHERE IdMzdCalc = 395;
UPDATE pmzdcalc SET cisrad = 200 WHERE IdMzdCalc = 397;
UPDATE pmzdcalc SET cisrad = 202 WHERE IdMzdCalc = 399;
UPDATE pmzdcalc SET cisrad = 203 WHERE IdMzdCalc = 401;
UPDATE pmzdcalc SET cisrad = 205 WHERE IdMzdCalc = 402;
UPDATE pmzdcalc SET cisrad = 206 WHERE IdMzdCalc = 404;
UPDATE pmzdcalc SET cisrad = 211 WHERE IdMzdCalc = 407;
UPDATE pmzdcalc SET cisrad = 213 WHERE IdMzdCalc = 408;
UPDATE pmzdcalc SET cisrad = 41 WHERE IdMzdCalc = 409;
UPDATE pmzdcalc SET cisrad = 338 WHERE IdMzdCalc = 423;
UPDATE pmzdcalc SET cisrad = 327 WHERE IdMzdCalc = 424;
UPDATE pmzdcalc SET cisrad = 330 WHERE IdMzdCalc = 425;
UPDATE pmzdcalc SET cisrad = 329 WHERE IdMzdCalc = 429;
UPDATE pmzdcalc SET cisrad = 337 WHERE IdMzdCalc = 430;
UPDATE pmzdcalc SET cisrad = 331 WHERE IdMzdCalc = 431;
UPDATE pmzdcalc SET cisrad = 332 WHERE IdMzdCalc = 432;
UPDATE pmzdcalc SET cisrad = 333 WHERE IdMzdCalc = 433;
UPDATE pmzdcalc SET cisrad = 334 WHERE IdMzdCalc = 434;
UPDATE pmzdcalc SET cisrad = 335 WHERE IdMzdCalc = 435;
UPDATE pmzdcalc SET cisrad = 336 WHERE IdMzdCalc = 436;
UPDATE pmzdcalc SET cisrad = 130 WHERE IdMzdCalc = 437;
UPDATE pmzdcalc SET cisrad = 131 WHERE IdMzdCalc = 438;
UPDATE pmzdcalc SET cisrad = 132 WHERE IdMzdCalc = 439;
UPDATE pmzdcalc SET cisrad = 129 WHERE IdMzdCalc = 440;
UPDATE pmzdcalc SET cisrad = 121 WHERE IdMzdCalc = 445;
UPDATE pmzdcalc SET cisrad = 122 WHERE IdMzdCalc = 446;
UPDATE pmzdcalc SET cisrad = 123 WHERE IdMzdCalc = 447;
UPDATE pmzdcalc SET cisrad = 124 WHERE IdMzdCalc = 448;
UPDATE pmzdcalc SET cisrad = 125 WHERE IdMzdCalc = 449;
UPDATE pmzdcalc SET cisrad = 126 WHERE IdMzdCalc = 450;
UPDATE pmzdcalc SET cisrad = 127 WHERE IdMzdCalc = 451;
UPDATE pmzdcalc SET cisrad = 128 WHERE IdMzdCalc = 452;
UPDATE pmzdcalc SET cisrad = 341 WHERE IdMzdCalc = 454;
UPDATE pmzdcalc SET cisrad = 328 WHERE IdMzdCalc = 455;
UPDATE pmzdcalc SET nazev = '----- počet dní v roce' WHERE IdMzdCalc = 459;
UPDATE pmzdcalc SET cisrad = 153 WHERE IdMzdCalc = 460;
UPDATE pmzdcalc SET cisrad = 154 WHERE IdMzdCalc = 461;
UPDATE pmzdcalc SET cisrad = 155 WHERE IdMzdCalc = 462;
UPDATE pmzdcalc SET cisrad = 156 WHERE IdMzdCalc = 463;
UPDATE pmzdcalc SET cisrad = 149 WHERE IdMzdCalc = 464;
UPDATE pmzdcalc SET cisrad = 150 WHERE IdMzdCalc = 465;
UPDATE pmzdcalc SET cisrad = 151 WHERE IdMzdCalc = 466;
UPDATE pmzdcalc SET cisrad = 152 WHERE IdMzdCalc = 467;
UPDATE pmzdcalc SET cisrad = 159 WHERE IdMzdCalc = 468;
UPDATE pmzdcalc SET cisrad = 223 WHERE IdMzdCalc = 471;
UPDATE pmzdcalc SET cisrad = 240 WHERE IdMzdCalc = 472;
UPDATE pmzdcalc SET cisrad = 157 WHERE IdMzdCalc = 473;
UPDATE pmzdcalc SET cisrad = 158 WHERE IdMzdCalc = 474;
UPDATE pmzdcalc SET cisrad = 196 WHERE IdMzdCalc = 475;
UPDATE pmzdcalc SET cisrad = 169 WHERE IdMzdCalc = 476;
UPDATE pmzdcalc SET cisrad = 230 WHERE IdMzdCalc = 477;
UPDATE pmzdcalc SET cisrad = 266 WHERE IdMzdCalc = 478;
UPDATE pmzdcalc SET cisrad = 22 WHERE IdMzdCalc = 479;
UPDATE pmzdcalc SET cisrad = 117 WHERE IdMzdCalc = 480;
UPDATE pmzdcalc SET cisrad = 35 WHERE IdMzdCalc = 482;
UPDATE pmzdcalc SET nazev = 'Měsíční mzda ', cisrad = 51, idmzdslozin = 17 WHERE IdMzdCalc = 484;
UPDATE pmzdcalc SET cisrad = 54 WHERE IdMzdCalc = 485;
UPDATE pmzdcalc SET cisrad = 118 WHERE IdMzdCalc = 486;
UPDATE pmzdcalc SET cisrad = 119 WHERE IdMzdCalc = 487;
UPDATE pmzdcalc SET cisrad = 342 WHERE IdMzdCalc = 488;
UPDATE pmzdcalc SET cisrad = 339 WHERE IdMzdCalc = 495;
UPDATE pmzdcalc SET cisrad = 340 WHERE IdMzdCalc = 496;
UPDATE pmzdcalc SET cisrad = 113 WHERE IdMzdCalc = 498;
UPDATE pmzdcalc SET cisrad = 114 WHERE IdMzdCalc = 499;
UPDATE pmzdcalc SET cisrad = 115 WHERE IdMzdCalc = 500;
UPDATE pmzdcalc SET cisrad = 107 WHERE IdMzdCalc = 501;
UPDATE pmzdcalc SET cisrad = 108 WHERE IdMzdCalc = 502;
UPDATE pmzdcalc SET cisrad = 109 WHERE IdMzdCalc = 503;
UPDATE pmzdcalc SET cisrad = 110 WHERE IdMzdCalc = 504;
UPDATE pmzdcalc SET cisrad = 111 WHERE IdMzdCalc = 505;
UPDATE pmzdcalc SET cisrad = 112 WHERE IdMzdCalc = 508;
UPDATE pmzdcalc SET kod = '2', cisrad = 20 WHERE IdMzdCalc = 509;
UPDATE pmzdcalc SET kod = '2', cisrad = 21 WHERE IdMzdCalc = 510;
UPDATE pmzdcalc SET nazev = '----- Připočtení dnů ve svátek' WHERE IdMzdCalc = 511;
UPDATE pmzdcalc SET nazev = '----- Fond pracovní  doby v aktuálním měsíci' WHERE IdMzdCalc = 512;
UPDATE pmzdcalc SET cisrad = 248 WHERE IdMzdCalc = 513;
UPDATE pmzdcalc SET cisrad = 343 WHERE IdMzdCalc = 516;
UPDATE pmzdcalc SET cisrad = 344 WHERE IdMzdCalc = 517;
UPDATE pmzdcalc SET cisrad = 345 WHERE IdMzdCalc = 518;
UPDATE pmzdcalc SET cisrad = 346 WHERE IdMzdCalc = 519;
UPDATE pmzdcalc SET cisrad = 347 WHERE IdMzdCalc = 520;
UPDATE pmzdcalc SET cisrad = 348 WHERE IdMzdCalc = 521;
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (522, '2010-01-27 00:00:00.000', '15', 'Daňový bonus', true, 296, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 109, 140);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (523, '2010-01-27 00:00:00.000', 'STRAVNÉ VYPOČTENÉ', 'Stravné vypočet dle odprac. dnů ', true, 326, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'procMzd', 'dnyPrac', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 133, 133, 133);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (524, '2010-01-28 00:00:00.000', 'STRAVNÉ VYPOČTENÉ', 'Odpracovaná doba', true, 325, 1.0, 0.0, 0.0, 'dnyPrac', '', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 179, 133);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (525, '2010-01-27 00:00:00.000', 'PRESČAS', 'Úkolová mzda ', true, 53, 1.0, 0.0, 0.0, 'castkaHod', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 19, 22);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (526, '2010-01-27 00:00:00.000', 'PRESČAS', 'Hodinová mzda', true, 52, 1.0, 0.0, 0.0, 'castkaHod', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 18, 22);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (527, '2010-01-27 00:00:00.000', '1', '----- Mateřská dovolená (vstupuje do vyloučených dob v ELDP)', true, 17, 1.0, 1.0, 0.0, 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 150, 16);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (528, '2010-01-27 00:00:00.000', '1', '----- Rodičovská dovolená  (nevstupuje do vyloučených dob v ELDP) ', true, 18, 1.0, 1.0, 0.0, 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 151, 16);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (529, '2010-01-28 00:00:00.000', 'OSOBNÍ PŘÍPLATEK', 'Koeficient vypočtený z toho, co zbývá na měsíční mzdu (fond-neodpracovaná doba-hodnová mzda-úkolová mzda)', true, 87, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'procMzd', 'zaklMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 188, 41, 41);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (530, '2010-01-28 00:00:00.000', '15', 'Přeplatek daně z ročního zúčtování', true, 353, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 254, 140);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (531, '2010-01-28 00:00:00.000', 'PRÉMIE %', '----- Prémie % ze základní mzdy', true, 43, 0.01, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'procMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 25, 25, 25);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (532, '2010-01-28 00:00:00.000', 'PRÉMIE % UKAZATELE', 'Prémie % z ukazatele / základu ', true, 44, 0.01, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'procMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 27, 27, 27);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (533, '2010-01-28 00:00:00.000', 'PODÍLOVÁ MZDA', 'Podílová (provizní) mzda', true, 45, 0.01, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'procMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 20, 20, 20);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (534, '2010-01-28 00:00:00.000', 'PODÍL NA ZISKU', 'Podíly % ze zisku / základu ', true, 46, 0.01, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'procMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 28, 28, 28);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (535, '2010-01-29 00:00:00.000', 'ZDRAV.POJ.PRAC.', 'Zvýšení základu pro výpočet ZP pro zeměstnance o poměrný základ za neplacené volno', true, 214, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 106, 103);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (536, '2010-01-29 00:00:00.000', 'ZDRAV.POJ.PRAC.', 'Zdravotní  pojištění za neomluvenou absenci', true, 215, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 105, 103);

-- oprava radku rozbitych deletema
UPDATE pmzdcalc SET cisrad = 93 WHERE IdMzdCalc = 27;
UPDATE pmzdcalc SET cisrad = 48 WHERE IdMzdCalc = 30;
UPDATE pmzdcalc SET cisrad = 97 WHERE IdMzdCalc = 31;
UPDATE pmzdcalc SET cisrad = 49 WHERE IdMzdCalc = 32;
UPDATE pmzdcalc SET cisrad = 50 WHERE IdMzdCalc = 33;
UPDATE pmzdcalc SET cisrad = 59 WHERE IdMzdCalc = 40;
UPDATE pmzdcalc SET cisrad = 80 WHERE IdMzdCalc = 41;
UPDATE pmzdcalc SET cisrad = 82 WHERE IdMzdCalc = 43;
UPDATE pmzdcalc SET cisrad = 86 WHERE IdMzdCalc = 44;
UPDATE pmzdcalc SET cisrad = 74 WHERE IdMzdCalc = 46;
UPDATE pmzdcalc SET cisrad = 77 WHERE IdMzdCalc = 48;
UPDATE pmzdcalc SET cisrad = 95 WHERE IdMzdCalc = 51;
UPDATE pmzdcalc SET cisrad = 96 WHERE IdMzdCalc = 52;
UPDATE pmzdcalc SET cisrad = 98 WHERE IdMzdCalc = 53;
UPDATE pmzdcalc SET cisrad = 99 WHERE IdMzdCalc = 54;
UPDATE pmzdcalc SET cisrad = 100 WHERE IdMzdCalc = 55;
UPDATE pmzdcalc SET cisrad = 101 WHERE IdMzdCalc = 56;
UPDATE pmzdcalc SET cisrad = 102 WHERE IdMzdCalc = 57;
UPDATE pmzdcalc SET cisrad = 94 WHERE IdMzdCalc = 58;
UPDATE pmzdcalc SET cisrad = 103 WHERE IdMzdCalc = 59;
UPDATE pmzdcalc SET cisrad = 306 WHERE IdMzdCalc = 221;
UPDATE pmzdcalc SET cisrad = 301 WHERE IdMzdCalc = 222;
UPDATE pmzdcalc SET cisrad = 305 WHERE IdMzdCalc = 223;
UPDATE pmzdcalc SET cisrad = 302 WHERE IdMzdCalc = 256;
UPDATE pmzdcalc SET cisrad = 78 WHERE IdMzdCalc = 272;
UPDATE pmzdcalc SET cisrad = 79 WHERE IdMzdCalc = 274;
UPDATE pmzdcalc SET cisrad = 70 WHERE IdMzdCalc = 275;
UPDATE pmzdcalc SET cisrad = 68 WHERE IdMzdCalc = 278;
UPDATE pmzdcalc SET cisrad = 69 WHERE IdMzdCalc = 280;
UPDATE pmzdcalc SET cisrad = 72 WHERE IdMzdCalc = 281;
UPDATE pmzdcalc SET cisrad = 73 WHERE IdMzdCalc = 282;
UPDATE pmzdcalc SET cisrad = 75 WHERE IdMzdCalc = 288;
UPDATE pmzdcalc SET cisrad = 76 WHERE IdMzdCalc = 290;
UPDATE pmzdcalc SET cisrad = 85 WHERE IdMzdCalc = 291;
UPDATE pmzdcalc SET cisrad = 83 WHERE IdMzdCalc = 296;
UPDATE pmzdcalc SET cisrad = 84 WHERE IdMzdCalc = 297;
UPDATE pmzdcalc SET cisrad = 307 WHERE IdMzdCalc = 310;
UPDATE pmzdcalc SET cisrad = 308 WHERE IdMzdCalc = 311;
UPDATE pmzdcalc SET cisrad = 309 WHERE IdMzdCalc = 328;
UPDATE pmzdcalc SET cisrad = 310 WHERE IdMzdCalc = 329;
UPDATE pmzdcalc SET cisrad = 311 WHERE IdMzdCalc = 330;
UPDATE pmzdcalc SET cisrad = 312 WHERE IdMzdCalc = 331;
UPDATE pmzdcalc SET cisrad = 66 WHERE IdMzdCalc = 377;
UPDATE pmzdcalc SET cisrad = 313 WHERE IdMzdCalc = 388;
UPDATE pmzdcalc SET cisrad = 304 WHERE IdMzdCalc = 405;
UPDATE pmzdcalc SET cisrad = 303 WHERE IdMzdCalc = 410;
UPDATE pmzdcalc SET cisrad = 81 WHERE IdMzdCalc = 411;
UPDATE pmzdcalc SET cisrad = 314 WHERE IdMzdCalc = 413;
UPDATE pmzdcalc SET cisrad = 315 WHERE IdMzdCalc = 414;
UPDATE pmzdcalc SET cisrad = 316 WHERE IdMzdCalc = 415;
UPDATE pmzdcalc SET cisrad = 317 WHERE IdMzdCalc = 416;
UPDATE pmzdcalc SET cisrad = 318 WHERE IdMzdCalc = 418;
UPDATE pmzdcalc SET cisrad = 319 WHERE IdMzdCalc = 420;
UPDATE pmzdcalc SET cisrad = 322 WHERE IdMzdCalc = 421;
UPDATE pmzdcalc SET cisrad = 323 WHERE IdMzdCalc = 422;
UPDATE pmzdcalc SET cisrad = 320 WHERE IdMzdCalc = 426;
UPDATE pmzdcalc SET cisrad = 321 WHERE IdMzdCalc = 427;
UPDATE pmzdcalc SET cisrad = 324 WHERE IdMzdCalc = 428;
UPDATE pmzdcalc SET cisrad = 298 WHERE IdMzdCalc = 456;
UPDATE pmzdcalc SET cisrad = 299 WHERE IdMzdCalc = 457;
UPDATE pmzdcalc SET cisrad = 300 WHERE IdMzdCalc = 458;
UPDATE pmzdcalc SET cisrad = 67 WHERE IdMzdCalc = 481;
UPDATE pmzdcalc SET cisrad = 60 WHERE IdMzdCalc = 489;
UPDATE pmzdcalc SET cisrad = 71 WHERE IdMzdCalc = 490;
UPDATE pmzdcalc SET cisrad = 61 WHERE IdMzdCalc = 491;
UPDATE pmzdcalc SET cisrad = 62 WHERE IdMzdCalc = 492;
UPDATE pmzdcalc SET cisrad = 63 WHERE IdMzdCalc = 493;
UPDATE pmzdcalc SET cisrad = 64 WHERE IdMzdCalc = 494;
UPDATE pmzdcalc SET cisrad = 65 WHERE IdMzdCalc = 497;
UPDATE pmzdcalc SET cisrad = 297 WHERE IdMzdCalc = 514;


PERFORM pg_catalog.setval('seq_pmzdcalc', 536, true);

UPDATE ptyppracpomparam SET dohodnoty = 9.999999999999E12 WHERE IdTypPracPomParam = 14;
UPDATE ptyppracpomparam SET dohodnoty = 9.999999999999E12 WHERE IdTypPracPomParam = 19;

DELETE FROM ptyppracpomparam WHERE idtyppracpomparam = 21;
INSERT INTO ptyppracpomparam (idtyppracpomparam, lastUpdate, kod, nazev, popis, show, cisrad, odhodnoty, dohodnoty, koeficient, poletest, polenuluj, actmalyroz, actvelkyroz, actmaprohl, actnemaprohl, actdannerez, actdanrez, actzdrdopl, actzdrnedopl, idmzdcalchlav, idtyppracpom, idcismzdsloz)
 VALUES (21, '2010-01-27 00:00:00.000', '*', 'Nulování základu pro sociální pojištění  - pro pracovní poměry platící jen DP - společníci, jednatelé atd.  ', '', true, 125, 0.0, 5900.0, 0.0, 'zaklMzd', 'zaklMzd', true, true, true, true, true, true, true, true, 1, 5, 221);

PERFORM pg_catalog.setval('seq_ptyppracpomparam', 21, true);

-- vymazani jiz nepotrenych slozek
DELETE FROM pmzdsloz WHERE IdCisMzdSloz = 43;
DELETE FROM pmzdsloz WHERE IdCisMzdSloz = 53;
DELETE FROM pstalamzdsloz WHERE IdCisMzdSloz = 43;
DELETE FROM pstalamzdsloz WHERE IdCisMzdSloz = 53;
DELETE FROM pcismzdsloz WHERE IdCisMzdSloz = 43;
DELETE FROM pcismzdsloz WHERE IdCisMzdSloz = 53;

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 237, 't');
