--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy, pro vsechny ostatni ji smazeme
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- aktualizace slozek
UPDATE pcismzdsloz SET vyznamk = null, pracovni = true WHERE IdCisMzdSloz = 1;
UPDATE pcismzdsloz SET kod = 'FOND PRACOVNÍ DOBY', nazev = 'Fond pracovní doby', cisrad = 1005, vscastmzd = false, vyznamk = 'vyznamSlozky.dobaFond', pracovni = false WHERE IdCisMzdSloz = 188;

-- kalkulacka
-- radky
UPDATE pmzdcalc SET nazev = 'Koeficient vypočtený z toho, co zbývá na měsíční mzdu (fond-neodpracovaná doba-hodnová mzda-úkolová mzda)', idmzdslozin = 188 WHERE IdMzdCalc = 208;
UPDATE pmzdcalc SET cisrad = 352 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET cisrad = 354 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET cisrad = 351 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET cisrad = 353 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET nazev = 'Fond pracovní doby', polein = 'hodinySvatek;dnySvatek', poleout = 'hodiny;dnyPrac', idmzdslozin = 1 WHERE IdMzdCalc = 479;
UPDATE pmzdcalc SET cisrad = 355 WHERE IdMzdCalc = 530;
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (537, '2010-02-01 00:00:00.000', 'HRUBA MZDA CELKEM ', '1%  vstupní ceny vozu ', true, 349, -1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 54, 167);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (538, '2010-02-01 00:00:00.000', 'DÍLČÍ HRUBÁ MZDA', '1%  vstupní ceny vozu ', true, 350, -1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 54, 87);

PERFORM pg_catalog.setval('seq_pmzdcalc', 538, true);

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 238, 't');
