--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- slozky aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- aktualizace slozek vzniklych z ciselniku upravenych v upgradu 238
--UPDATE pcismzdsloz SET vyznamk = null, pracovni = true WHERE IdCisMzdSloz = 1;
--UPDATE pcismzdsloz SET kod = 'FOND PRACOVNÍ DOBY', nazev = 'Fond pracovní doby', cisrad = 1005, vscastmzd = false, vyznamk = 'vyznamSlozky.dobaFond', pracovni = false WHERE IdCisMzdSloz = 188;

UPDATE pmzdsloz SET pracovni = true where idcismzdsloz = 1;
UPDATE pmzdsloz SET kod = 'FOND PRACOVNÍ DOBY', nazev = 'Fond pracovní doby', cisrad = 1005, pracovni = false where idcismzdsloz = 188;

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 241, 't');
