------------------------------------------------------------------------------------
-- Bug 19952 – [WinStrom] Přidat podporu externích ID na více míst
------------------------------------------------------------------------------------

alter table wextid add column idOdberatel integer;
alter table wextid add constraint wextid_idOdberatel FOREIGN KEY (idOdberatel)
      REFERENCES codberatele (idodberatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idDodavatel integer;
alter table wextid add constraint wextid_idDodavatel FOREIGN KEY (idDodavatel)
      REFERENCES cdodavatele (iddodavatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idSady integer;
alter table wextid add constraint wextid_idSady FOREIGN KEY (idSady)
      REFERENCES csady (idsady) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idPoplatek integer;
alter table wextid add constraint wextid_idPoplatek FOREIGN KEY (idPoplatek)
      REFERENCES cpoplatky (idPoplatek) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idPodobne integer;
alter table wextid add constraint wextid_idPodobne FOREIGN KEY (idPodobne)
      REFERENCES cpodobne (idpodobne) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idKusovnik integer;
alter table wextid add constraint wextid_idKusovnik FOREIGN KEY (idKusovnik)
      REFERENCES ckusovnik (idkusovnik) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idPriloha integer;
alter table wextid add constraint wextid_idPriloha FOREIGN KEY (idPriloha)
      REFERENCES wpriloha (idpriloha) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idCenHlad integer;
alter table wextid add constraint wextid_idCenHlad FOREIGN KEY (idCenHlad)
      REFERENCES ccenhlad (idcenhlad) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idStredisko integer;
alter table wextid add constraint wextid_idStredisko FOREIGN KEY (idStredisko)
      REFERENCES ustrediska (idStred) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idCinnost integer;
alter table wextid add constraint wextid_idCinnost FOREIGN KEY (idCinnost)
      REFERENCES ucinnost (idCinnost) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idMerJed integer;
alter table wextid add constraint wextid_idMerJed FOREIGN KEY (idMerJed)
      REFERENCES cmerjed (idmj) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idVybKlic integer;
alter table wextid add constraint wextid_idVybKlic FOREIGN KEY (idVybKlic)
      REFERENCES wvybklice (idvybklice) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idTypUcOp integer;
alter table wextid add constraint wextid_idTypUcOp FOREIGN KEY (idTypUcOp)
      REFERENCES utypucop (idtypucop) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idText integer;
alter table wextid add constraint wextid_idText FOREIGN KEY (idText)
      REFERENCES wtexty (idtext) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idAdrUdalost integer;
alter table wextid add constraint wextid_idAdrUdalost FOREIGN KEY (idAdrUdalost)
      REFERENCES audalosti (idudalost) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idBanSpoj integer;
alter table wextid add constraint wextid_idBanSpoj FOREIGN KEY (idBanSpoj)
      REFERENCES abanSpoj (idBanSpoj) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idMistUrc integer;
alter table wextid add constraint wextid_idMistUrc FOREIGN KEY (idMistUrc)
      REFERENCES amisturc (idmur) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idKontakt integer;
alter table wextid add constraint wextid_idKontakt FOREIGN KEY (idKontakt)
      REFERENCES aKontakty (idkontakt) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idSkupFir integer;
alter table wextid add constraint wextid_idSkupFir FOREIGN KEY (idSkupFir)
      REFERENCES askupfir (idskupfir) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idSkupZboz integer;
alter table wextid add constraint wextid_idSkupZboz FOREIGN KEY (idSkupZboz)
      REFERENCES cskupzboz (idskupzboz) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idTypDokl integer;
alter table wextid add constraint wextid_idTypDokl FOREIGN KEY (idTypDokl)
      REFERENCES dtypdokl (idtypdokl) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idMapSklad integer;
alter table wextid add constraint wextid_idMapSklad FOREIGN KEY (idMapSklad)
      REFERENCES smapsklad (idmapSklad) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idZakazka integer;
alter table wextid add constraint wextid_idZakazka FOREIGN KEY (idZakazka)
      REFERENCES uzakazky (idZakazky) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add column idUcet integer;
alter table wextid add constraint wextid_idUcet FOREIGN KEY (idUcet)
      REFERENCES uucty (iducet) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdOdberatel_index ON wExtId USING btree (IdOdberatel);
CREATE INDEX wExtId_IdDodavatel_index ON wExtId USING btree (IdDodavatel);
CREATE INDEX wExtId_IdSady_index ON wExtId USING btree (IdSady);
CREATE INDEX wExtId_IdPoplatek_index ON wExtId USING btree (IdPoplatek);
CREATE INDEX wExtId_IdPodobne_index ON wExtId USING btree (IdPodobne);
CREATE INDEX wExtId_IdKusovnik_index ON wExtId USING btree (IdKusovnik);
CREATE INDEX wExtId_IdPriloha_index ON wExtId USING btree (IdPriloha);
CREATE INDEX wExtId_IdCenHlad_index ON wExtId USING btree (IdCenHlad);
CREATE INDEX wExtId_IdStredisko_index ON wExtId USING btree (IdStredisko);
CREATE INDEX wExtId_IdCinnost_index ON wExtId USING btree (IdCinnost);
CREATE INDEX wExtId_IdMerJed_index ON wExtId USING btree (IdMerJed);
CREATE INDEX wExtId_IdVybKlic_index ON wExtId USING btree (IdVybKlic);
CREATE INDEX wExtId_IdTypUcOp_index ON wExtId USING btree (IdTypUcOp);
CREATE INDEX wExtId_IdText_index ON wExtId USING btree (IdText);
CREATE INDEX wExtId_IdAdrUdalost_index ON wExtId USING btree (IdAdrUdalost);
CREATE INDEX wExtId_IdBanSpoj_index ON wExtId USING btree (IdBanSpoj);
CREATE INDEX wExtId_IdMistUrc_index ON wExtId USING btree (IdMistUrc);
CREATE INDEX wExtId_IdKontakt_index ON wExtId USING btree (IdKontakt);
CREATE INDEX wExtId_IdSkupFir_index ON wExtId USING btree (IdSkupFir);
CREATE INDEX wExtId_IdSkupZboz_index ON wExtId USING btree (IdSkupZboz);
CREATE INDEX wExtId_IdTypDokl_index ON wExtId USING btree (IdTypDokl);
CREATE INDEX wExtId_IdMapSklad_index ON wExtId USING btree (IdMapSklad);
CREATE INDEX wExtId_IdZakazka_index ON wExtId USING btree (IdZakazka);
CREATE INDEX wExtId_IdUcet_index ON wExtId USING btree (IdUcet);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 341, 't');
