--------------------------------------------------------------------------------
-- Bug 20881 – [WinStrom] Mzdy zůstatek dovolené
--------------------------------------------------------------------------------

ALTER TABLE pmzdcalcinit ADD COLUMN zpracdatumk character varying(50);


--------------------------------------------------------------------------------
-- 
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

-- doplneni vyznamu zapomenute v upgradu 424
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.nemoc' WHERE idcismzdsloz = 3;
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.danVypocet' WHERE idcismzdsloz = 108;

INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (339, '2011-02-10 00:00:00.000', 'DOVOLENÁ PŘEVOD', 'Převod dovolené z minulého roku', true, 'typSlozky.vypocet', 'skupinaSlozky.doba', false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, false, false, false, 'DOVOLENA_PREVOD');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (340, '2011-02-11 00:00:00.000', 'MĚSÍC POČÁTEK', 'Měsíc počátku pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', true, 1015, 'typSlozky.vypocet', 'skupinaSlozky.doba', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, false, 'MESIC_POCATEK');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (341, '2011-02-11 00:00:00.000', 'MĚSÍC KONEC', 'Měsíc konce pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', true, 1016, 'typSlozky.vypocet', 'skupinaSlozky.doba', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, false, 'MESIC_KONEC');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (342, '2011-02-11 00:00:00.000', 'MĚSÍCŮ PRACUJE', 'Počet měsíců v roce, kdy skutečně pracuje', true, 1017, 'typSlozky.vypocet', 'skupinaSlozky.doba', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, false, 'MESICU_PRACUJE');

PERFORM pg_catalog.setval('seq_pcismzdsloz', 342, true);

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

-- update inicializacnich radek kalkulacky
UPDATE pmzdcalcinit SET kod = 'MĚSÍC POČÁTEK', nazev = 'Měsíc počátku pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', popis = 'inicializace měsíce počátku - slouží k výpočtu poměrné části dovolené', zpracdatumk = 'mzdCalcZpracDatum.mesicNaslPoc', idmzdslozout = 340 WHERE idmzdcalcinit = 44;
INSERT INTO pmzdcalcinit (idmzdcalcinit, lastupdate, kod, nazev, popis, show, cisrad, zdrojk, polein, poleout, zpracdatumk, idmzdcalchlav, idmzdslozout)
 VALUES (48, '2011-02-11 00:00:00.000', 'MĚSÍC KONEC', 'Měsíc konce pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'inicializace měsíce konce - slouží k výpočtu poměrné části dovolené', true, 15, 'mzdCalcZdroj.pracPom', 'konecPomeru', 'dnyKal', 'mzdCalcZpracDatum.mesic', 2, 341);

PERFORM pg_catalog.setval('seq_pmzdcalcinit', 48, true);

-- update radek kalkulacky
DELETE FROM pmzdcalc WHERE idmzdcalc = 1389;
DELETE FROM pmzdcalc WHERE idmzdcalc = 1390;
UPDATE pmzdcalc SET cisrad = 397, koeficient = 0.166666, polein2 = 'dnyKal', idmzdslozin2 = 342 WHERE idmzdcalc = 1391;
UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 1392;
UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 1393;
UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 1394;
UPDATE pmzdcalc SET cisrad = 401 WHERE idmzdcalc = 1395;
UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 1396;
UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 1397;
UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 1398;
UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 1399;
UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 1400;
UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 1401;
UPDATE pmzdcalc SET cisrad = 409 WHERE idmzdcalc = 1402;
UPDATE pmzdcalc SET cisrad = 410 WHERE idmzdcalc = 1403;
UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 1404;
UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 1405;
UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 1406;
UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 1407;
UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 1408;
UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 1409;
UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 1410;
UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 1411;
UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 1412;
UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 1413;
UPDATE pmzdcalc SET cisrad = 422 WHERE idmzdcalc = 1414;
UPDATE pmzdcalc SET cisrad = 423 WHERE idmzdcalc = 1415;
UPDATE pmzdcalc SET cisrad = 424 WHERE idmzdcalc = 1416;
UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 1417;
UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 1418;
UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 1419;
UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 1420;
UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 1421;
UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 1422;
UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 1423;
UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 1424;
UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 1425;
UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 1426;
UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 1427;
UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 1428;
UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 1429;
UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 1430;
UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 1431;
UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 1432;
UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 1433;
UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 1434;
UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 1435;
UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 1436;
UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 1437;
UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 1438;
UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 1439;
UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 1440;
UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 1441;
UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 1442;
UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 1443;
UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 1444;
UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 1445;
UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 1446;
UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 1447;
UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 1448;
UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 1449;
UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 1450;
UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 1451;
UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 1452;
UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 1453;
UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 1454;
UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 1455;
UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 1456;
UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 1457;
UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 1458;
UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 1459;
UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 1460;
UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 1461;
UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 1462;
UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 1463;
UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 1464;
UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 1465;
UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 1466;
UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 1467;
UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 1468;
UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 1469;
UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 1470;
UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 1471;
UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 1472;
UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 1473;
UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 1474;
UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 1475;
UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 1476;
UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 1477;
UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 1478;
UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 1479;
UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 1480;
UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 1481;
UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 1482;
UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 1483;
UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 1484;
UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 1485;
UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 1486;
UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 1487;
UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 1488;
UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 1489;
UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 1490;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 1491;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 1492;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 1493;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 1494;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 1495;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 1496;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 1497;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 1498;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 1499;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 1500;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 1501;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 1502;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 1503;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 1504;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 1505;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 1506;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 1507;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 1508;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 1509;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 1510;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 1511;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 1512;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 1513;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 1514;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 1515;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 1516;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 1517;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 1518;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 1519;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 1520;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 1521;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 1522;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 1523;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 1524;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 1525;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 1526;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 1527;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 1528;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 1529;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 1530;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 1531;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 1532;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 1533;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 1534;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 1535;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 1536;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 1537;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 1538;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 1539;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 1540;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 1541;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 1542;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 1543;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 1544;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 1545;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 1546;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 1547;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 1548;
UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 1549;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1551, '2011-02-10 00:00:00.000', 'DOVOLENÁ PŘEVOD', 'Zbývající dovolená', true, 391, 1.0, 1.0, 0.0, 'dnyPrac', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.konecPredchoziRok', 1, false, 2, 186, 339);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1552, '2011-02-11 00:00:00.000', 'DOVOLENÁ ZBÝVÁ', 'Převod dovolené z minulého roku', true, 402, 1.0, 1.0, 0.0, 'dnyPrac', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 339, 186);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1553, '2011-02-11 00:00:00.000', 'MĚSÍC POČÁTEK', 'Měsíc počátku pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'Pokud je měsíc 0 připravíme si k přičtení 1, aby jsme byli na lednu', true, 392, 0.0, 1.0, 0.0, 'dnyKal', 'procMzd', 0.0, 0.0, 'mzdCalcOper.rovno', false, 0, false, 2, 340, 340);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1554, '2011-02-11 00:00:00.000', 'MĚSÍC POČÁTEK', 'Měsíc počátku pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'Přičteme konstantu z předchozího kroku, aby byl počátek v lednu vždy 1', true, 393, 1.0, 1.0, 0.0, 'procMzd', 'dnyKal', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 340, 340);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1555, '2011-02-11 00:00:00.000', 'MĚSÍC KONEC', 'Měsíc konce pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'Pokud je měsíc 0 připravíme si k přičtení 12, aby jsme byli na prosinci', true, 394, 0.0, 12.0, 0.0, 'dnyKal', 'procMzd', 0.0, 0.0, 'mzdCalcOper.rovno', false, 0, false, 2, 341, 341);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1556, '2011-02-11 00:00:00.000', 'MĚSÍC KONEC', 'Měsíc konce pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'Přičteme konstantu z předchozího kroku, aby byl konec v prosinci vždy 12', true, 395, 1.0, 1.0, 0.0, 'procMzd', 'dnyKal', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 341, 341);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1557, '2011-02-11 00:00:00.000', 'MĚSÍCŮ PRACUJE', 'Měsíc konce pracovního poměru v aktuálním roce - slouží pro výpočet poměrné dovolené - pokud je den v měsíci > 1 bere se následující měsíc', 'Spočteme kolik měsíců v roce fakt pracoval', true, 396, 1.0, -1.0, 1.0, 'dnyKal', 'dnyKal', 'dnyKal', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 341, 340, 342);

PERFORM pg_catalog.setval('seq_pmzdcalc', 1557, true);

-- pracovni pomery
-- parametry pro typ prac pom
UPDATE ptyppracpomparam SET dohodnoty = 6199.99999 WHERE idtyppracpomparam = 48;

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 441, 't', %appVersion%, clock_timestamp());
