------------------------------------------------------------------------------------
-- Bug 24883 – [WinStrom] Seznam skladu nepodporuje externi identifikatory
------------------------------------------------------------------------------------

alter table wextid add column idBsp integer;
alter table wextid add constraint wextid_idBsp FOREIGN KEY (idBsp)
      REFERENCES dBsp (idBsp) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdBsp_index ON wExtId USING btree (idBsp);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 518, 't', %appVersion%, clock_timestamp());
