--------------------------------------------------------------------------------
-- Bug 33990 – Rozvaha - účet 391 opravné položky do korekce u dlouhodobých pohledávek
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporgread integer;
begin
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro cechy
  if (_idtyporgread = 1) then
-- zacatek bloku ceskych podnikatelu

-- presunuti uctu 391 do sloupce 2
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 387;
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 390;
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 392;
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 396;
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 398;
UPDATE usesstdpred SET cissloup = 2 WHERE idsesstdpred = 405;

-- konec ceskeho bloku
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 731, 't', %appVersion%, clock_timestamp());
