--------------------------------------------------------------------------------
-- Bug 38252 – [Bug+Legis] FlexiBee mzdy - oprava výpočtu stravenek
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (381, '2014-04-04 00:00:00.000', 'STRAVNÉ VYPOČTENÉ PP', 'Stravné dle odprac. dnů pro pracovní poměr', true, 9150, 'typSlozky.vypocet', 'skupinaSlozky.srazky', false, false, false, false, true, false, false, false, false, false, true, true, false, true, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, '', false, 'STRAVNE_VYPOCTENE_PP');

-- hlavicka
-- radky
UPDATE pmzdcalc SET kod = 'STRAVNÉ VYPOČTENÉ PP', nazev = 'Odpracovaná doba', koeficient = 1.0, koeficient2 = -1.0, polein2 = 'dnyPrac', idmzdslozin = 179, idmzdslozin2 = 256, idmzdslozout = 381 WHERE idmzdcalc = 5487;
UPDATE pmzdcalc SET nazev = 'Stravné dle odprac. dnů pro pracovní poměr', cisrad = 498, idmzdslozin = 381 WHERE idmzdcalc = 5488;
UPDATE pmzdcalc SET kod = 'STRAVNÉ VYPOČTENÉ PP', polein = 'dnyPrac;dnySvatek', poleout = 'dnyPrac;dnyPrac', idmzdslozout = 381 WHERE idmzdcalc = 5489;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 5490;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 5491;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 5492;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 5493;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 5494;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 5495;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 5496;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 5497;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 5498;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 5499;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 5500;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 5501;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 5502;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 5503;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 5504;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 5505;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 5506;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 5507;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 5508;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 5509;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 5510;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 5511;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 5512;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 5513;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 5514;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 5515;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 5516;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 5517;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 5518;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 5519;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 5520;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 5521;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 5522;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 5523;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 5524;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 5525;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 5526;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 5527;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 5528;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 5529;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 5530;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 5531;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 5532;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 5533;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 5534;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 5535;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 5536;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 5537;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 5538;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 5539;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 5540;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 5541;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 5542;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 5543;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 5544;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 5545;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 5546;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 5547;
UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 5548;
UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 5549;
UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 5550;
UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 5551;
UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 5552;
UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 5553;
UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 5554;
UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 5555;
UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 5556;
UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 5557;
UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 5558;
UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 5559;
UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 5560;
UPDATE pmzdcalc SET cisrad = 570 WHERE idmzdcalc = 5561;
UPDATE pmzdcalc SET cisrad = 571 WHERE idmzdcalc = 5562;
UPDATE pmzdcalc SET cisrad = 572 WHERE idmzdcalc = 5563;
UPDATE pmzdcalc SET cisrad = 573 WHERE idmzdcalc = 5564;
UPDATE pmzdcalc SET cisrad = 574 WHERE idmzdcalc = 5565;
UPDATE pmzdcalc SET cisrad = 575 WHERE idmzdcalc = 5566;
UPDATE pmzdcalc SET cisrad = 576 WHERE idmzdcalc = 5567;
UPDATE pmzdcalc SET cisrad = 577 WHERE idmzdcalc = 5568;
UPDATE pmzdcalc SET cisrad = 578 WHERE idmzdcalc = 5569;
UPDATE pmzdcalc SET cisrad = 579 WHERE idmzdcalc = 5570;
UPDATE pmzdcalc SET cisrad = 580 WHERE idmzdcalc = 5571;
UPDATE pmzdcalc SET cisrad = 581 WHERE idmzdcalc = 5572;
UPDATE pmzdcalc SET cisrad = 582 WHERE idmzdcalc = 5573;
UPDATE pmzdcalc SET cisrad = 583 WHERE idmzdcalc = 5574;
UPDATE pmzdcalc SET cisrad = 584 WHERE idmzdcalc = 5575;
UPDATE pmzdcalc SET cisrad = 585 WHERE idmzdcalc = 5576;
UPDATE pmzdcalc SET cisrad = 586 WHERE idmzdcalc = 5577;
UPDATE pmzdcalc SET cisrad = 587 WHERE idmzdcalc = 5578;
UPDATE pmzdcalc SET cisrad = 588 WHERE idmzdcalc = 5579;
UPDATE pmzdcalc SET cisrad = 589 WHERE idmzdcalc = 5580;
UPDATE pmzdcalc SET cisrad = 590 WHERE idmzdcalc = 5581;
UPDATE pmzdcalc SET cisrad = 591 WHERE idmzdcalc = 5582;
UPDATE pmzdcalc SET cisrad = 592 WHERE idmzdcalc = 5583;
UPDATE pmzdcalc SET cisrad = 593 WHERE idmzdcalc = 5584;
UPDATE pmzdcalc SET cisrad = 594 WHERE idmzdcalc = 5585;
UPDATE pmzdcalc SET cisrad = 595 WHERE idmzdcalc = 5586;
UPDATE pmzdcalc SET cisrad = 596 WHERE idmzdcalc = 5587;
UPDATE pmzdcalc SET cisrad = 597 WHERE idmzdcalc = 5588;
UPDATE pmzdcalc SET cisrad = 598 WHERE idmzdcalc = 5589;
UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 5590;
UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 5591;
UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 5592;
UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 5593;
UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 5594;
UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 5595;
UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 5596;
UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 5597;
UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 5598;
UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 5599;
UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 5600;
UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 5601;
UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 5602;
UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 5603;
UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 5604;
UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 5605;
UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 5606;
UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 5607;
UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 5608;
UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 5609;
UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 5610;
UPDATE pmzdcalc SET cisrad = 622 WHERE idmzdcalc = 5611;
UPDATE pmzdcalc SET cisrad = 623 WHERE idmzdcalc = 5612;
UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 5613;
UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 5614;
UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 5615;
UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 5616;
UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 5617;
UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 5618;
UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 5619;
UPDATE pmzdcalc SET cisrad = 633 WHERE idmzdcalc = 5620;
UPDATE pmzdcalc SET cisrad = 634 WHERE idmzdcalc = 5621;
UPDATE pmzdcalc SET cisrad = 635 WHERE idmzdcalc = 5622;
UPDATE pmzdcalc SET cisrad = 636 WHERE idmzdcalc = 5623;
UPDATE pmzdcalc SET cisrad = 637 WHERE idmzdcalc = 5624;
UPDATE pmzdcalc SET cisrad = 638 WHERE idmzdcalc = 5625;
UPDATE pmzdcalc SET cisrad = 639 WHERE idmzdcalc = 5626;
UPDATE pmzdcalc SET cisrad = 640 WHERE idmzdcalc = 5627;
UPDATE pmzdcalc SET cisrad = 641 WHERE idmzdcalc = 5628;
UPDATE pmzdcalc SET cisrad = 642 WHERE idmzdcalc = 5629;
UPDATE pmzdcalc SET cisrad = 643 WHERE idmzdcalc = 5630;
UPDATE pmzdcalc SET cisrad = 644 WHERE idmzdcalc = 5631;
UPDATE pmzdcalc SET cisrad = 645 WHERE idmzdcalc = 5632;
UPDATE pmzdcalc SET cisrad = 646 WHERE idmzdcalc = 5633;
UPDATE pmzdcalc SET cisrad = 647 WHERE idmzdcalc = 5634;
UPDATE pmzdcalc SET cisrad = 648 WHERE idmzdcalc = 5635;
UPDATE pmzdcalc SET cisrad = 649 WHERE idmzdcalc = 5636;
UPDATE pmzdcalc SET cisrad = 650 WHERE idmzdcalc = 5637;
UPDATE pmzdcalc SET cisrad = 651 WHERE idmzdcalc = 5638;
UPDATE pmzdcalc SET cisrad = 652 WHERE idmzdcalc = 5639;
UPDATE pmzdcalc SET cisrad = 653 WHERE idmzdcalc = 5640;
UPDATE pmzdcalc SET cisrad = 654 WHERE idmzdcalc = 5641;
UPDATE pmzdcalc SET cisrad = 655 WHERE idmzdcalc = 5642;
UPDATE pmzdcalc SET cisrad = 656 WHERE idmzdcalc = 5643;
UPDATE pmzdcalc SET cisrad = 657 WHERE idmzdcalc = 5644;
UPDATE pmzdcalc SET cisrad = 658 WHERE idmzdcalc = 5645;
UPDATE pmzdcalc SET cisrad = 659 WHERE idmzdcalc = 5646;
UPDATE pmzdcalc SET cisrad = 660 WHERE idmzdcalc = 5647;
UPDATE pmzdcalc SET cisrad = 661 WHERE idmzdcalc = 5648;
UPDATE pmzdcalc SET cisrad = 662 WHERE idmzdcalc = 5649;
UPDATE pmzdcalc SET cisrad = 663 WHERE idmzdcalc = 5650;
UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 5657;
UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 5658;
UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 5659;
UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 5660;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, poznam, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (5661, '2014-04-04 00:00:00.000', 'STRAVNÉ VYPOČTENÉ PP', '----- Přičtení svátku do odpracované doby když za něj není náhrada', '', true, 495, 1.0, 0.0, 1.0, 'dnySvatek', 'procMzd', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 6, 256, 21, 381);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (5662, '2014-04-04 00:00:00.000', 'STRAVNÉ VYPOČTENÉ', 'Stravné dle odprac. dnů ', true, 497, 0.0, 0.0, 0.0, 'dnyPrac', '', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.max', false, 0, false, 6, 133, 133);

PERFORM pg_catalog.setval('seq_pcismzdsloz', 381, true);
PERFORM pg_catalog.setval('seq_pmzdcalc', 5662, true);
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 842, 't', %appVersion%, clock_timestamp());
