--------------------------------------------------------------------------------
-- Bug 38348 - [Custom] Umožnit autorizaci přes REST API pro kontakt (eset)    
--------------------------------------------------------------------------------

-- pripadne duplicitni username uplne odstranim
update akontakty set username = null where username in (
  select username from akontakty where username is not null group by username having count(*) > 1
);

alter table akontakty add constraint akontakty_username_unique unique (username);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 874, 't', %appVersion%, clock_timestamp());
