<?xml version="1.0" encoding="utf-8" ?>
<!-- 
 musí se použít pro import zatim restAPI 
 curl -v -u admin:heslo -X POST - -data-binary @parovani-uhrad-in.xml -H "Content-Type: application/xml" http://localhost:5434/c/firma/parovani-uhrad.xml 
 -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      
     <xsl:apply-templates select="vazby"/>
      
      
    </winstrom>
  </xsl:template>

    <!--
KOD_ZDR,C,2
INT_ZDR,N,12,0
KOD_TER,C,2
INT_TER,N,12,0
FIRST,L
UZIVATEL,L
MORE_INFO,N,1,0
US_ADD,C,16
USD_ADD,C,16
TS,C,40
ID_ZDR,C,36
ID_TER,C,36
ID,C,36


    -->
    
  <xsl:template match="vazby">
    
    <xsl:if test="CASTKA != '0'">
    <xsl:choose>
    
      <xsl:when test="KOD_ZDR = 'PF'">
        <sparovani update="ignore">
          <uhrazovanaFak type="faktura-prijata">ext:PREMIER:FP<xsl:value-of select="INT_ZDR"/></uhrazovanaFak>
          <uhrazujiciDokl>ext:PREMIER:<xsl:value-of select="INT_TER"/></uhrazujiciDokl>
          <zbytek>castecnaUhrada</zbytek>
        </sparovani>
      </xsl:when>
      
      <xsl:when test="KOD_ZDR = 'VF'">
        <sparovani update="ignore">
          <uhrazovanaFak type="faktura-vydana">ext:PREMIER:FV<xsl:value-of select="INT_ZDR"/></uhrazovanaFak>
          <uhrazujiciDokl>ext:PREMIER:<xsl:value-of select="INT_TER"/></uhrazujiciDokl>
          <zbytek>castecnaUhrada</zbytek>
        </sparovani>
      </xsl:when>
      
    </xsl:choose>
    </xsl:if>
    
  </xsl:template>
</xsl:stylesheet>