--------------------------------------------------------------------------------
-- 
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy, pro vsechny ostatni ji smazeme
  if (stat = 'CZ_CZ') then
    update aadresar set mesto = nazev, nazev = 'OSSZ - ' || nazev where uuid is not null and typvztahuk = 'typVztahu.socialka';
  else
    delete from aadresar where uuid is not null;
  
    -- smazeme kalkulacku
    update pmzdcalchlav set idradkahromadne = null;
    delete from pmzdcalcinit;
    delete from pmzdcalc;
    delete from pmzdcalchrom;
    delete from ptyppracpomparam;
    delete from pmzdcalchlav; 
    
    -- smazeme slozky a pomery
    delete from pstalamzdsloz;
    delete from psrazka;
    delete from podecitpol;
    delete from pmzdsloz;
    delete from pnepritomnost;
    
    -- pracovni pomery
    delete from ppracpom;
    delete from ppracpomhlav;
    delete from ptyppracpom;
    
    -- parametry
    delete from pmzdyparam;
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 228, 't');
