--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

-- update kalkulacky
create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
UPDATE pcismzdsloz SET vyznamk = 'vyznamSlozky.danZaloha' WHERE IdCisMzdSloz = 228;

-- update inicializacnich radek kalkulacky

-- update radek kalkulacky
UPDATE pmzdcalc SET koeficient2 = 0.0 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET popis = '10.2.2010; 15.2.2010 - zrušeno zaokrouhlování základu srážkové daně na 100 Kč', zaokrnak = 'zaokrNa.jednotky' WHERE IdMzdCalc = 544;

-- parametry pro typ prac pom

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 249, 't');
