-- Bug 12800 – [WinStrom] Zaúčtování zaokrouhlovacích položek u dokladů
-- Účty určené pro zaokrouhlovací rozdíly u vydaných faktur a příjmových pokladních dokladů

ALTER TABLE nNastav
 ADD COLUMN idUcetZaokrNaklad integer,
 ADD COLUMN idUcetZaokrVynos integer;

CREATE INDEX nNastav_IdUcetZaokrNaklad_index ON nNastav USING btree (idUcetZaokrNaklad);
CREATE INDEX nNastav_IdUcetZaokrVynos_index ON nNastav USING btree (idUcetZaokrVynos);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 49, 't');
