--------------------------------------------------------------------------------
-- Bug 26915 – [WinStrom] Pozadavky na vydej a FIFO
--------------------------------------------------------------------------------
-- Function: sfifovydej(integer, integer, integer, integer, numeric, boolean)
-- DROP FUNCTION sfifovydej(integer, integer, integer, integer, numeric, boolean);
CREATE OR REPLACE FUNCTION sfifovydej(idvydej integer, idcenikvydej integer, idskladvydej integer, idkartyvydej integer, vyd numeric, _cenyrucne boolean)
  RETURNS void AS
$BODY$      
declare       
  _zaznam Record;       
  _vybrano numeric(19,6);     
  _i integer;     
  _novevydcelkem numeric(19,6);     
  _pocet numeric(19,6);     
  _cenamjP numeric(19,6);  
  _sumZklP numeric(19,2); 
  _cenaMjPMen numeric(19,6);  
  _kurzDokladuP numeric(19,6);   
  _kurzDokladuV numeric(19,6);   
  _idDoklSkladP integer;    
  _idDoklSkladV integer;   
  _datVystV date;   
  _idrozlozeni integer;     
  _vydexpir boolean;     
  _vyrcis character varying(255);     
  _sklfifo boolean;  
  _sarze character varying(255);  
  _expirace date;       
  _evidVyrCis boolean;    
begin       
  if(vyd = 0.0) then
    update dpolsklad set
      cenaMj = 0.0,
      sumZkl = 0.0,
      sumZklMen = 0.0
      where idPolSklad = idvydej;
    return;
  end if;
  _vybrano := 0;     
  _i := 1;     
  _novevydcelkem := vyd;     
  select evidVyrCis into _evidVyrCis from ccenik where idcenik = idcenikvydej;  
  if (not _evidVyrCis) then  
    if (idvydej>0) then  
      select vydexpir into _vydexpir from skarty where idkarty=idkartyvydej limit 1;  
      select sarze, expirace into _sarze, _expirace from dpolsklad where idpolsklad = idvydej;     
      if (not _vydexpir) then     
        --pořadí výdeje dle datvyst (dále se bude řesit upřednostněný výdej mimo FIFO)     
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by datSklad,idpolsklad loop       
          if(not _zaznam is null) then 
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then  
              if (_vybrano<_novevydcelkem) then     
                _pocet := _zaznam.pocet;     
                if( _vybrano+_pocet) > _novevydcelkem then     
                  _pocet := _novevydcelkem-_vybrano;     
                end if;     
                _vybrano := _vybrano+_pocet;     
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo     
                _vyrcis := '';     
                if (_zaznam.idvyrobnicislo>0) then     
                  select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo; 
                end if;     
                --     
                if (_i = 1) then  
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo and not _cenyRucne) then      
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);     
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then  
                      _cenamjP := _cenamjP * _kurzDokladuP;     
	                end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    if(_zaznam.pocet = _pocet) then 
                      select pp.sumZkl - coalesce((select sum(pv.sumZkl / (case when pv.mnozMj = 0.0 then 1.0 else pv.mnozMj end) * v.kusu) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = pp.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad; 
                    else 
                      _sumZklP = _pocet*_cenamjP*_kurzDokladuV; 
                    end if; 
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;   
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet,cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _sumZklP, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace  
                          where idpolsklad = idvydej;  
                  else  
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;   
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;  
                  end if; 
                else     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo and not _cenyRucne) then     
                    select nextval('seq_dpolsklad') into _idrozlozeni;     
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;    
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    if(_zaznam.pocet = _pocet) then 
                      select pp.sumZkl - coalesce((select sum(pv.sumZkl / (case when pv.mnozMj = 0.0 then 1.0 else pv.mnozMj end) * v.kusu) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = pp.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad; 
                    else 
                      _sumZklP = _pocet*_cenaMjP*_kurzDokladuV; 
                    end if;   
                    insert into dpolsklad(idpolsklad,mnozmj,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,        kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,        slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                sumzklmen,         szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy) 
                         (select (-1*_idrozlozeni),  _pocet,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_sumZklP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej); 
                    --     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);     
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);     
                  else     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);     
                  end if;     
                end if;     
                --     
                _i:=_i+1;     
              else 
                if (_vybrano>_novevydcelkem) then 
                  _pocet := -_zaznam.pocet; 
                  if(( _vybrano+_pocet) < _novevydcelkem) then 
                    _pocet := _novevydcelkem-_vybrano; 
                  end if; 
                  _vybrano := _vybrano+_pocet; 
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ; 
                end if; 
              end if;  
            end if; 
          end if; 
        end loop;    
      else     
        --pořadí výdeje dle expirace (dále se bude řesit upřednostněný výdej mimo FIFO)     
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by expirace, idpolsklad loop       
          if(not _zaznam is null) then 
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then  
              if (_vybrano<_novevydcelkem) then     
                _pocet := _zaznam.pocet;     
                if( _vybrano+_pocet) > _novevydcelkem then     
                  _pocet := _novevydcelkem-_vybrano;     
                end if;     
                _vybrano := _vybrano+_pocet;     
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo     
                _vyrcis := '';     
                if (_zaznam.idvyrobnicislo>0) then     
                    select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo; 
                end if;     
                --     
                if (_i = 1) then     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo and not _cenyRucne) then     
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);     
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    if(_zaznam.pocet = _pocet) then 
                      select pp.sumZkl - coalesce((select sum(pv.sumZkl / (case when pv.mnozMj = 0.0 then 1.0 else pv.mnozMj end) * v.kusu) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = pp.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad; 
                    else 
                      _sumZklP = _pocet*_cenamjP*_kurzDokladuV; 
                    end if; 
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;      
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet, cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _sumZklP, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace   
                          where idpolsklad = idvydej;  
                  else  
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;     
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;  
                  end if;     
                else     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo and not _cenyRucne) then     
                    select nextval('seq_dpolsklad') into _idrozlozeni;     
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;    
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    if(_zaznam.pocet = _pocet) then 
                      select pp.sumZkl - coalesce((select sum(pv.sumZkl / (case when pv.mnozMj = 0.0 then 1.0 else pv.mnozMj end) * v.kusu) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = pp.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad; 
                      _sumZklP = _sumZklP / _kurzDokladuV; 
                    else 
                      _sumZklP = _pocet*_cenaMjP; 
                    end if;  
                    insert into dpolsklad(idpolsklad,mnozmj,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,        kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,        slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                sumzklmen,         szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy) 
                         (select (-1*_idrozlozeni),  _pocet,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_sumZklP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej); 
                    --     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);     
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);     
                  else      
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);      
                  end if;      
                end if;      
                --      
                _i:=_i+1;      
              else 
                if (_vybrano>_novevydcelkem) then 
                  _pocet := -_zaznam.pocet; 
                  if(( _vybrano+_pocet) < _novevydcelkem) then 
                    _pocet := _novevydcelkem-_vybrano; 
                  end if; 
                  _vybrano := _vybrano+_pocet; 
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ; 
                end if; 
              end if;   
            end if; 
          end if;     
        end loop;      
      end if;      
    else      
      --nepoustím fifo do rekurze, příznak záporného id udělám opět kladný      
      update dpolsklad set idPolSklad = -1*idVydej where idpolsklad=idVydej;               
    end if;  
  end if;     
end;       
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sfifovydej(integer, integer, integer, integer, numeric, boolean) OWNER TO %firmaRole%;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 556, 't', %appVersion%, clock_timestamp());
