---------------------------------------------------------------------------------------
-- Bug 27440 – [WinStrom] Přidat podporu externích ID do smluv
---------------------------------------------------------------------------------------

alter table wextid add column idTypSml integer;
alter table wextid add column idStavSml integer;

alter table wextid add CONSTRAINT wextid_idTypSml FOREIGN KEY (idTypSml)
      REFERENCES dTypSml(idTypSml) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;
alter table wextid add  CONSTRAINT wextid_idStavSml FOREIGN KEY (idStavSml)
      REFERENCES dStavSml(idStavSml) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;

CREATE INDEX wExtId_IdTypSml_index ON wExtId USING btree (idTypSml);
CREATE INDEX wExtId_IdStavSml_index ON wExtId USING btree (idStavSml);

-- plus jako bonus zvetseni velikosti externiho IDcka z 63 znaku na 127
alter table wextid alter column extId type character varying(127);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 574, 't', %appVersion%, clock_timestamp());
