---------------------------------------------------------------------------------------
-- Bug 33215 – [FlexiBee] Umožnit import a export uživatelských vazeb
---------------------------------------------------------------------------------------

alter table wextid add column idVazbaTyp integer;
alter table wextid add column idVazba integer;

alter table wextid add CONSTRAINT wextid_idVazbaTyp FOREIGN KEY (idVazbaTyp)
      REFERENCES wvazbatyp(idvazbatyp) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;
alter table wextid add CONSTRAINT wextid_idVazba FOREIGN KEY (idVazba)
      REFERENCES wvazba(idvazba) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;

CREATE INDEX wExtId_IdVazbaTyp_index ON wExtId USING btree (IdVazbaTyp);
CREATE INDEX wExtId_IdVazba_index ON wExtId USING btree (IdVazba);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 709, 't', %appVersion%, clock_timestamp());

