--------------------------------------------------------------------------------
-- Bug 33948 – [FlexiBee] Rozšířit zakázky o cenu (velikost) (conergy)
--------------------------------------------------------------------------------

ALTER TABLE uzakazky ADD COLUMN rozsah numeric (19,6) not null default 0.0;
ALTER TABLE uzakazky ADD COLUMN nakladyPredpoklad numeric (19,6) not null default 0.0;
ALTER TABLE uzakazky ADD COLUMN ziskPredpoklad numeric (19,6) not null default 0.0;

ALTER TABLE uzakazky ADD COLUMN idMena integer;
ALTER TABLE uzakazky ADD CONSTRAINT uzakazky_idmena FOREIGN KEY (idmena)
      REFERENCES umeny (idmeny) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX uZakazky_IdMena_index ON uZakazky USING btree (IdMena);

--------------------------------------------------------------------------------
-- Bug 33937 – [WinStrom] Do zakázky přidat místo určení
--------------------------------------------------------------------------------

ALTER TABLE uzakazky ADD COLUMN varsym character varying(30);
ALTER TABLE uzakazky ADD COLUMN idmur integer;

ALTER TABLE uzakazky ADD CONSTRAINT uzakazky_idmur FOREIGN KEY (idmur)
  REFERENCES amisturc (idmur) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX uZakazky_IdMur_index ON uZakazky USING btree (IdMur);

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 728, 't', %appVersion%, clock_timestamp());
