--Bug 13565 – [WinStrom] Sprava osobních certifikátu - vytvoreni 
-- bezpecneho uloziste

-- mezi update83 a update87 nepouzival aplikaci zadny uzivatel - nez vytvaret
-- neplatne zaznamy s idcertifikat default 0 radsi je smazeme
delete from woscert;

alter table woscert drop column certifikat;

CREATE SEQUENCE seq_woscertcipher
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;

ALTER TABLE public.seq_woscertcipher OWNER TO %firmaRole%;

CREATE TABLE woscertcipher (
        idoscertcipher integer DEFAULT nextval('seq_woscertcipher'::regclass) NOT NULL,
        certifikat oid,
        idoscert integer NOT NULL DEFAULT 0
);

ALTER TABLE public.woscertcipher OWNER TO %firmaRole%;

ALTER TABLE ONLY woscertcipher
    ADD CONSTRAINT woscertcipher_pkey PRIMARY KEY (idoscertcipher);
    
ALTER TABLE woscertcipher ADD CONSTRAINT woscertcipher_certifikat_id FOREIGN KEY (idoscert) REFERENCES woscert (idoscert) ON UPDATE NO ACTION ON DELETE NO ACTION;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 87, 't');
