---------------------------------------------------------------------------------------
-- Bug 42960 - CustomButton: umožnit uživatelům pohodlně aktualizovat a mazat uživatelské tlačítka (code: a ext:)
---------------------------------------------------------------------------------------

--přidání kódu
ALTER TABLE wcustbutton
  ADD COLUMN kod character varying(20);
  
--vyplnim nahodny kod
UPDATE wcustbutton SET kod = (substring(md5(random()::text) from 1 for 20)) WHERE kod IS NULL;

ALTER TABLE wcustbutton ALTER COLUMN kod SET NOT NULL;


--přidání ext id
ALTER TABLE wextid
  ADD COLUMN idCustomButton integer;
      
ALTER TABLE wextid 
  ADD CONSTRAINT wextid_idCustomButton FOREIGN KEY (idCustomButton)
       REFERENCES wcustbutton (idwcustbutton) MATCH SIMPLE
       ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdCustomButton_index ON wExtId USING btree (IdCustomButton);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 925, 't', %appVersion%, clock_timestamp());
