<?xml version="1.0" encoding="utf-8" ?>
<!--interní doklady a položky faktur-->
<!--je třeba importovat dvakrát zatim-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="interni-doklad"/>
    </winstrom>
  </xsl:template>

    <!--

	INTER,N,8,0	ok
	STKOD,N,12,0	
	ZKKOD,N,12,0	ok
	DATUM,D		ok
	DOKLAD,C,3	ok
	CISLO,N,12,0	ok
	POPIS,C,192	ok
	CASTKA,N,14,2	ok
	MD,C,6		ok
	DAL,C,6		ok
	CISLO_ODB,C,10	ok
	NAZEV_ODB,C,64	ok
	NAZEV_OD2,C,64	
	SBORNIK,N,10,0	
	POZNAMKA,C,24	
	KOD_DPH,C,2	
	SB_KOD,C,2	
	MENA,C,3	ok
	KURS,N,18,10	ok
	M_KURS,N,5,0	ok
	ZCASTKA,N,15,2	
	IKOD,C,1	ok
	OBJEDNAVKA,C,24	
	DOD_LIST,C,24	
	ZAOK,N,4,2	
	ZAOK_ROUND,N,2,0
	VYSTAVIL,C,24	
	ULICE_ODB,C,28	ok
	PSC_ODB,C,10	ok
	MESTO_ODB,C,28	ok
	STAT_ODB,C,24	
	ICO_ODB,C,8	ok
	DIC_ODB,C,14	  ok
	PRILOHY,C,24	
	OZN_MENY,C,3	
	MENA_PRED,L	
	UC_VF,C,6	
	UC_ZA,C,6	
	MNOZSTVI,N,12,3	
	MJ,C,6		
	MATERIAL,C,20	
	INTMAT,N,8,0	
	SAZBA_DPH,N,5,2	
	CASTKA_DPH,N,15,2	
	CIZI_DPH,N,15,2	
	US_ADD,C,16	
	US_EDI,C,16	
	USD_ADD,C,16	
	USD_EDI,C,16	
	OTEVRENO,N,15,2	
	VARIABL,C,24	ok
	VAR_DAL,C,24	
	VIZE,N,2,0	
	ZUST_MD,N,15,2	
	ZUST_DAL,N,15,2	
	ZZUST_MD,N,15,2	
	ZZUST_DAL,N,15,2	
	DAN1,N,12,0	
	DAN2,N,12,0	
	DAN3,C,12	
	VAP,N,15,2	
	VAP_PR,N,7,2	
	DATUM_OD,D	
	DATUM_DO,D	
	DEN,N,2,0	
	PERIODA,N,1,0	
	RADA,C,3	
	DOPRAVA,C,24	
	CENA_SLV,N,15,2	
	SLEVA_PR,N,6,2	
	TS,C,40	
	ID,C,36	
	TYP_DOKL,C,3	
	DATUM_DPH,D	ok
	KURS_DPH,N,18,10	
	BARVA,N,8,0

    -->

  <xsl:template match="interni-doklad">
    <!--<xsl:if test="POPIS != 'Systémové zaokrouhlení CM (shoda na fakturu)'">-->
    
    <xsl:choose>
    
      <xsl:when test="SB_KOD = 'PF'">
        <!--<faktura-prijata create="ignore">
          <id>ext:PREMIER:FP<xsl:value-of select="CISLO"/></id>
          <bezPolozek>false</bezPolozek>
          <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
          <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
          <polozkyFaktury>
            <faktura-prijata-polozka>
              <id>ext:PREMIER:POL<xsl:value-of select="ID" /></id>
              <typPolozkyK>typPolozky.ucetni</typPolozkyK>
              <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
    		      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
    		      <kopZklDalUcet>false</kopZklDalUcet>
              <kopZklMdUcet>false</kopZklMdUcet>
    		      <zklMdUcet>code:<xsl:value-of select="MD"/></zklMdUcet>
              <zklDalUcet>code:<xsl:value-of select="DAL"/></zklDalUcet>
              <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
              <typCenyDphK>typCeny.bezDph</typCenyDphK>
              <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
              <zdrojProSkl>false</zdrojProSkl>
              <doklFak>ext:PREMIER:FP<xsl:value-of select="CISLO"/></doklFak>
            </faktura-prijata-polozka>
          </polozkyFaktury>
        </faktura-prijata>-->
      </xsl:when>
      
      
      <xsl:when test="SB_KOD = 'VF'">
        <!--<faktura-vydana create="ignore">
          <id>ext:PREMIER:FV<xsl:value-of select="CISLO"/></id>
          <bezPolozek>false</bezPolozek>
          <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
          <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
          <polozkyFaktury>
            <faktura-vydana-polozka>
              <id>ext:PREMIER:POL<xsl:value-of select="ID" /></id>
              <typPolozkyK>typPolozky.ucetni</typPolozkyK>
              <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
              <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
    		      <kopZklDalUcet>false</kopZklDalUcet>
              <kopZklMdUcet>false</kopZklMdUcet>
    		      <zklMdUcet>code:<xsl:value-of select="MD"/></zklMdUcet>
              <zklDalUcet>code:<xsl:value-of select="DAL"/></zklDalUcet>
              <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
              <typCenyDphK>typCeny.bezDph</typCenyDphK>
              <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
              <zdrojProSkl>false</zdrojProSkl>
              <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
              <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
              <doklFak>ext:PREMIER:FV<xsl:value-of select="CISLO"/></doklFak>
            </faktura-vydana-polozka>
          </polozkyFaktury>
        </faktura-vydana>-->
      </xsl:when>
      
      
      <xsl:otherwise>
        <interni-doklad update="ignore">
          <id>ext:PREMIER:INT<xsl:value-of select="INTER"/></id>
          <popis><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></popis>
          <typDokl>code:INT. DOKLAD</typDokl>
          <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
          <xsl:if test="DATUM_DPH != ''">
            <duzpPuv><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM_DPH, 'd.M.y')"/></duzpPuv>
          </xsl:if>
          <cisDosle>
            <xsl:choose>
              <xsl:when test="ZKKOD != '0' and ZKKOD != ''">
                <xsl:value-of select="ZKKOD"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>
              </xsl:otherwise>
            </xsl:choose>
          </cisDosle>
          <varSym><xsl:value-of select="VARIABL"/></varSym>
          <bezPolozek>true</bezPolozek>
          <primUcet>code:<xsl:value-of select="MD"/></primUcet>
          <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
          <xsl:choose>
            <xsl:when test="MENA != ''">
              <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
              <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
              <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
              <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            </xsl:when>
            <xsl:otherwise>
              <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:if test="CISLO_ODB != ''">
            <firma>code:<xsl:value-of select="java:flexibee.Tool.toUpper(CISLO_ODB)"/></firma>
            <nazFirmy><xsl:value-of select="NAZEV_ODB"/></nazFirmy>
            <ulice><xsl:value-of select="ULICE_ODB"/></ulice>
            <mesto><xsl:value-of select="MESTO_ODB"/></mesto>
            <psc><xsl:value-of select="PSC_ODB"/></psc>
            <ic><xsl:value-of select="ICO_ODB"/></ic>
            <dic><xsl:value-of select="DIC_ODB"/></dic>
            <stat></stat>
          </xsl:if>
        </interni-doklad>    
      </xsl:otherwise>
      
    </xsl:choose>
    
  </xsl:template>
</xsl:stylesheet>
